Licences pour 4d-plugin-sfml-audio

Bonjour,

J’utilise le plug-ins 4d-plugin-sfml-audio de notre cher MIYAKO (https://github.com/miyako/4d-plugin-sfml-audio)
En mode développement V17r2, pas de souci, cela fonctionne très bien.

Dés que je passe en compilé (monoposte EXE ou Serveur), cela me dit qu’il y a un souci de privilège sur les licences.
Il me semblait que les SFML était sous licence ZLIB/PNG (https://www.sfml-dev.org/license-fr.php) et donc pouvait être utilisé pour de l’intégration commerciale.

Est-ce que l’un d’entre vous l’utilise ?
Si oui, êtes-vous confronté au même souci ?
Sinon, qu’utilisez-vous pour lire les fichiers AUDIO (peu importe le format: mp3, oog, aac, aif, …) ? Le module 4d-plugin-audio (https://github.com/miyako/4d-plugin-audio) ne fonctionne que sur MAC.

F. BOUSSON

license or privilege error is the fallback error message when a plugin can not be loaded. it generally means a DLL is missing.

perhaps the other PC does not have

msvcp140.dll
vcruntime140.dll

installed.

you can put these files next to the .4DX file.

check the download kink here https://github.com/miyako/4d-plugin-sfml-audio/releases

Merci, c’est parfait, ça marche nickel++++
Par contre, je ne comprends pas pourquoi sur ma machine en mode développement ça fonctionnait (sans les DLLs à coté du 4DX) et en le passant en mode compilé (sur la même machine), cela me mettait l’erreur.

Thank you, it’s perfect, it works nickel ++++
By cons, I do not understand why on my machine in development mode it worked (without the DLLs next to the 4DX) and passing it in compiled mode (on the same machine), it put me the error.

it sounds like vcruntime140.dll is already installed on your windows 10 dev. computer.

it doesn’t have to be adjacent to the plugin, if it is inside the system32 directory or any other search $PATH.

it might have been preinstalled, or installed with another application.

it’s compiled for both versions so I don’t know why you get an error.

found it.

the frameworks in ./Frameworks are all 64-bits.

https://www.sfml-dev.org/download/sfml/2.5.0/

32-bit mac has no future. I don’t think the SFML community is invested in maintaining it.

Thank you very much for your answer.
Unfortunately, we have most of our clients in 32bit version with 4D Write.
We will wait for the 64-bit migration to integrate this function.
Best regards